Class | Chef::Provider::Subversion
In: | lib/chef/provider/subversion.rb
Parent: | Chef::Provider

### Methods

action_checkout action_export action_force_export action_sync checkout_command current_revision_matches_target_revision? export_command find_current_revision load_current_resource revision_int revision_slug run_options sync_command

### Included Modules

Chef::Mixin::Command

### Public Instance methods

action_checkout()
action_export()
action_force_export()
action_sync()
checkout_command()
current_revision_matches_target_revision?()
export_command()
find_current_revision()
load_current_resource()
revision_int()

If the specified revision isn‘t an integer ("HEAD" for example), look up the revision id by asking the server If the specified revision is an integer, trust it.

revision_slug()

Alias for revision_int

run_options(run_opts={})
sync_command()

[Validate]